:root {
    --primary-dark: #272727;
    --primary-light: #ffffff;
    --primary-gray: #C7C9C7;

    --dark-background-color: #1a1a1a;
    --dark-block-background-color: var(--primary-dark);
    --dark-text-color: #eeeeee;
    --dark-table-color: var(--primary-dark);
    --dark-table-row-hover-color: #4b4b4b;
    --dark-left-section-background-color: var(--primary-dark);

    --background-color: var(--primary-light);
    --block-background-color: var(--primary-light);
    --text-color: #2D2926;
    --table-color: var(--primary-light);
    --table-row-hover-color: var(--primary-gray);
    --left-section-background-color: var(--primary-gray);
}

body {
    /* color: #2D2926; */
    font-size: 18px;
    font-family: Arial, sans-serif;
    background-color: var(--background-color);
    color: var(--text-color);
}

body.theme-dark {
    --background-color: var(--dark-background-color);
    --text-color: var(--dark-text-color);
    --block-background-color: var(--dark-block-background-color);
    --table-color: var(--dark-table-color);
    --table-row-hover-color: var(--dark-table-row-hover-color);
}

#right-section .content .block,
.open-software div,
.popup,
.main-block,
#theme {
    background-color: var(--block-background-color);
}

/* .theme-dark #right-section .content .block,
.theme-dark .open-software div,
.theme-dark .popup,
.theme-dark .main-block {
    background-color: var(--dark-table-color);
} */

table {
    background-color: var(--table-color);
}

table.reports tr:not(.heading):hover {
    background-color: var(--table-row-hover-color);
    cursor: pointer;
}

#left-section {
    background-color: var(--left-section-background-color);
}

.theme-dark #left-section {
    --left-section-background-color: var(--dark-left-section-background-color);
}

.repairViewItemName.header,
h3.chat-title,
#left-menu ul li a,
#theme {
    color: var(--text-color);
}

.theme-dark #attach-file object,
.theme-dark #attach-file img,
.theme-dark #send-message object,
.theme-dark .menu-icon,
.theme-dark .no-linked-img {
    filter: invert(100%);
}

#theme {
    position: absolute;
    bottom: 0;
    margin: 10px;
    background-color: var(--background-color);
}

/* Темная тема */
@media (prefers-color-scheme: dark) {
    body.theme-auto {
        --background-color: var(--dark-background-color);
        --text-color: var(--dark-text-color);
        --table-color: var(--dark-table-color);
        --left-section-background-color: var(--dark-left-section-background-color);
        --table-row-hover-color: var(--dark-table-row-hover-color);
        --block-background-color: var(--dark-block-background-color);
        --table-row-hover-color: var(--dark-table-row-hover-color);
    }
    body.theme-auto #attach-file object,
    body.theme-auto #attach-file img,
    body.theme-auto #send-message object,
    body.theme-auto .menu-icon,
    body.theme-auto .no-linked-img {
        filter: invert(100%);
    }
}

.gray {
    color: #C7C9C7;
}

.crossed {
    text-decoration: line-through;
}

.auth-container {
    display: flex;
    flex-direction: column;
    align-content: center;
    max-width: 400px;
    padding: 30px 30px;
    margin: 0 auto;
    box-shadow: 0 0 20px -15px #9f9ea1;
    border-radius: 12px;
    border: 1px solid #f8f8f8;
}

.auth-container input {
    margin-bottom: 10px;
}

.auth-container #email, .auth-container #password {
    width: 100%;
}

.auth-container .form-check {
    display: flex;
}

.auth-container input#remember {
    margin-right: 5px;
}

.auth-container button[type='submit'] {
    width: 100%;
}

.auth-bottom-options {
    position: absolute;
    margin-top: 45px;
    display: flex;
    flex-direction: row;
    width: 100%;
}

.auth-bottom-options div {
    width: 50%;
}

.auth-bottom-options label.form-check-label, .auth-bottom-options a.btn.btn-link {
    font-size: 12px;
}

.align-right {
    text-align: right;
}

.auth-container form {
    position: relative;
}

.auth-bg {
    /*height: 100vh;*/
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /*box-shadow: 0 0 20px -5px #9f9ea1;*/
}

.auth-warnings {
    background-color: #da291c;
    padding: 30px 30px;
    border-radius: 21px;
    margin-top: 10px;
    color: #ffffff;
    width: 100%;
    max-width: 320px;
}

.auth-warnings.disabled {
    display: none;
}

#auth-logo {
    margin: -30px 0 30px;
}

#fio:hover {
    cursor: pointer;
    text-decoration: underline;
}

#auth-title {
    color: #004C97;
    text-align: center;
    font-size: 18px;
    margin-bottom: 30px;
    font-family: Arial;
    font-weight: bold;
}

.button {
    background-color: #004C97;
    color: #ffffff;
    font-size: 18px;
    border: unset;
    padding: 15px;
    overflow: hidden;
    position: relative;
}

/* #doLogin {
    background-color: #004C97;
    color: #ffffff;
    font-size: 18px;
    border: unset;
    padding: 15px;
    overflow: hidden;
} */

#doLogin .text.hidden {
    display: none;
}

#login-loading.hidden {
    display: none;
}

#login-loading {
    margin: -24px;
}

.auth-container input {
    border: unset;
    border-bottom: 1px solid #004C97;
    font-size: 18px;
    padding-bottom: 5px;
    /*margin-bottom: 30px;*/
    color: #2D2926;
}

.tech-info {
    position: absolute;
    bottom: 5px;
}

.left-profile {
    background-color: #004C97;
    padding: 12px;
    line-height: 26px;
    color: #ffffff;
}

#left-section {
    display: block;
    position: fixed;
    height: 100vh;
    width: 250px;
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 15%);
    float: left;
}

#right-section {
    display: inline-block;
    width: auto;
    margin: 175px 0 0 250px;
}

#right-section .content {
    margin: 0 0 0 50px;
}

#right-section .content .block {
    margin-bottom: 40px;
}

table#users, table#clients {
    margin-bottom: 20px;
}

#panel-logo {
    position: absolute;
    right: 0;
    top: 0;
    pointer-events: none;
}

.head-section h1 {
    float: left;
}

a.svg {
    position: relative;
    display: inline-block;
}

a.svg::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

#profile-exit svg {
    cursor: pointer;
}

#profile-exit {
    float: right;
    margin: -26px -4px 0 0;
    cursor: pointer;
    width: 27px;
}

#left-menu ul {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: stretch;
    align-content: flex-start;
    margin-top: 50px;
}

#left-menu ul li {
    padding: 12px;
}

#left-menu ul li.current {
    background-color: #004C97;
    padding: 10px 10px 10px 13px;
}

#left-menu ul li a.current {
    background-color: #004C97;
    color: white;
}

#left-menu ul li a.current img {
    /* filter: invert(1); */
    filter: invert(0);
}

#left-menu ul li a {
    line-height: 26px;
    text-decoration: none;
}

.menu-icon {
    margin: -3px 8px 0px 0;
    width: 27px;
    height: 27px;
    overflow: hidden;
    vertical-align: middle;
}

.emplControls button.menu-icon {
    margin: 0 0 0 0;
}

.emplControls button:last-child {
    margin-right: 0px;
}

.emplControls {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
}

a.svg .text {
    display: inline-block;
    margin-top: 3px;
}

.menu-icon.current {
    filter: invert(100%);
}

.reports {
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 15%);
    width: calc(100vw - 350px);
}

.reports td {
    padding: 12px;
}

.reports .heading, #users .heading {
    box-shadow: 0px 1px 0 #004c97;
}

tr.heading td {
    font-weight: bold;
}

#open-menu, #close-menu {
    display: none;
}

button.disabled {
    cursor: not-allowed;
    pointer-events: none;
}

.content .block {
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 15%);
    width: calc(100vw - 350px);
    padding: 12px;
    box-sizing: border-box;
}

.switch input {
    display: none;
}

.switch {
    position: relative;
    display: block;
    width: 60px;
    height: 34px;
    margin-top: 12px;
}

.content .block h2 {
    border-bottom: 1px solid #004C97;
    margin: 0 -12px 25px;
    padding: 0 12px 12px;
}

#fio a {
    color: #ffffff;
    text-decoration: none;
}

#fio a:hover {
    color: #ffffff;
    text-decoration: underline;
}

.setting {
    margin-bottom: 30px;
}

input:checked+.slider {
    background-color: #004c97;
}

.settings .setting label {
    display: block;
    max-width: 250px;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.slider.round:before {
    border-radius: 50%;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider.round {
    border-radius: 34px;
}

.about-program {
    margin-top: 50px;
    color: #C7C9C7;
}

.about-program p:first-child {
    margin-bottom: 12px;
}

span.gray {
    color: #C7C9C7;
}

.day {
    display: inline-block;
    width: 80px;
    padding: 25px 5px;
    border: 1px solid black;
    background-color: #C7C9C7;
    font-weight: 700;
    color: #ffffff;
}

.day.dayname {
    text-align: center;
    color: #000000;
    background-color: #ffffff;
}

.day.empty {
    background-color: #004C97;
}

.day.full {
    background-color: #DA291C;
}

.dow {
    position: absolute;
    transition: 0.15s all ease-in-out;
    opacity: 0;
}

.calendar .day.today .dow {
    opacity: 1;
}

.calendar .day:hover .dow {
    opacity: 1;
}

.section-name {
    font-weight: bold;
    margin-bottom: 5px;
}

section:not(:last-child) {
    margin-bottom: 25px;
}

section .row {
    margin-bottom: 15px;
}

.profile-option, .report-option, #open-search-client {
    padding: 5px 0 0;
    font-size: 12px;
    color: #004c97;
    cursor: pointer;
}

.profile-option:hover, .report-option:hover, #open-search-client:hover {
    text-decoration: underline;
}

section.avatar .profile-option {
    width: 64px;
    text-align: center;
    margin-bottom: 10px;
}

#open-search-client {
    margin-bottom: 10px;
}

section:not(.avatar) .profile-option, .report-option {
    display: inline-block;
}

.report .row .value {
    margin-bottom: 0px;
}

/* Controls of main reports table */
.controls {
    position: absolute;
    margin-top: -25px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.controls a {
    color: #004c97;
}

.controls div {
    font-size: 14px;
    cursor: pointer;
    margin-right: 10px;
}

.controls div:hover {
    text-decoration: underline;
    color: #004c97;
}

/* END of Controls of main reports table */

.pagination-info {
    font-size: 14px;
    color: #C7C9C7;
    margin-top: 10px;
}

.pagination {
    text-align: center;
    font-size: 16px;
}

.pagination a {
    color: #004C97;
    text-decoration: none;
    margin-right: 5px
}

.pagination-info .countrows:not(.updating) {
    cursor: pointer;
}

.controls div a.selected {
    background-color: #004c97;
    color: white;
}

.pagination-info .countrows.updating {
    display: inline-block;
}

.pagination-info .button.showDiffPages {
    padding: 3px 7px;
    font-size: 14px;
}

form input, form select, form textarea {
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
    border: solid 1px #C7C9C7;
}

form input:focus, form select:focus, form textarea:focus {
    border-color: #004c97;
    box-shadow: 0 13px 20px -10px #004c97;
}

form input.error:focus, form select.error:focus, form textarea.error:focus {
    border-color: #da291c;
    box-shadow: 0 0 20px -10px #da291c;
}

.noRepairsWarning {
    margin-bottom: 25px;
    color: #DA291C;
}

.repairViewGrid, .repairTypeGrid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 10px;
}

.repairViewItemName, .repairTypeItemName {
    margin: 0 10px 0;
    text-align: right;
    font-weight: 600;
    padding-bottom: 15px;
    position: absolute;
    max-width: 300px;
    right: 0;
    bottom: 0;
    color: #ffffff;
}

.repairViewItem, .repairTypeItem {
    margin: 0 2% 30px 0;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0px 4px 5px 0 rgb(0 0 0 / 25%);
    width: 320px;
    height: 200px;
    position: relative;
}

.numPart, .regPart {
    display: inline-block;
}

.report-status .edit select.status {
    height: 27px;
}

/* Комментарий и модель авто в форме добавления заявки */
form #comment, form #model {
    width: auto;
    min-width: 50%;
}

form #comment {
    font-family: 'Arial', sans-serif;
}

#report {
    position: relative;
}

#loadingBlock {
    background-color: rgb(0 76 151 / 68%);
    z-index: 2;
    position: absolute;
    width: calc(100% + 24px);
    height: calc(100% + 113px);
    top: 0;
    left: 0;
    margin: -25px -12px -24px -12px;
}

.button #loading {
    margin: -24px;
}

#imagesToReport {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    position: relative;
    margin-bottom: 25px;
}

#createReport img {
    margin: -24px;
    padding: 0 26px;
}

#notifField, .notifField, #notifSearch {
    margin: 20px 0;
    color: white;
    padding: 15px;
    background-color: #da291c;
    cursor: pointer;
}

#successField {
    margin: 20px 0;
    color: white;
    padding: 15px;
    background-color: #1cda1c;
    cursor: pointer;
}

strong {
    font-weight: bold;
}

.edit {
    padding: 15px 0;
    background-color: #C7C9C7;
    background-color: transparent;
    border-bottom: 1px solid #004C97;
    border-top: 1px solid #004C97;
}

.editReport .model #model {
    min-width: 50%;
}

#notifFieldPASS {
    margin: 0 0 10px;
    max-width: 289px;
}

.reportImage {
    width: 64px;
    height: 64px;
    border: 1px solid #c7c9c7;
    background: white;
    transition: 0.15s all ease-in;
    cursor: pointer;
    margin-right: 10px;
    overflow: hidden;
    position: relative;
}

.reportImage:hover {
    background: #c7c9c7;
    transition: 0.2s all ease-in-out;
}

.reportImage:hover::after {
    content: '+';
    color: #fff;
    text-align: center;
    top: 0;
    font-size: 40px;
    left: 0;
    height: inherit;
    width: inherit;
    position: absolute;
    line-height: 66px;
    background: rgb(0 0 0 / 25%);
    z-index: 0;
}

.reportImage.hasFile:hover::after {
    content: 'X';
    color: #DA291C;
}

.calendar .day:not(.dayname) {
    cursor: pointer;
}

.calendar .day.minus {
    cursor: unset;
}

.day.closed {
    background-color: #c7c9c7;
    color: #000000;
}

#tupesOfday {
    margin-top: 40px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.fakeday {
    display: inline-block;
    width: 80px;
    padding: 25px 5px;
    border: 1px solid black;
    background-color: #C7C9C7;
    font-weight: 700;
    color: #ffffff;
}

.fakeday.on, .day.on {
    background-color: #004C97;
}

.fakeday.off, .day.off {
    background-color: #DA291C;
}

.fakeday.weekends {
    color: #000000;
    background-color: #c7c9c7;
}

.day[status="1"] {
    background-color: #004C97;
}

.day[status="0"] {
    background-color: #DA291C;
}

.day.closed[status="1"], .day.closed[status="0"] {
    color: white;
}

.fakedayDesc {
    display: inline-block;
    max-width: 120px;
    padding: 5px 5px;
    vertical-align: middle;
}

.error {
    color: #da291c;
    border-color: #da291c;
}

.hidden {
    display: none;
}

.upload-image-btn {
    width: inherit;
    height: inherit;
    opacity: 0;
    z-index: 1;
    position: absolute;
    cursor: pointer;
}

img.img_prev {
    width: inherit;
    height: inherit;
    object-fit: cover;
    z-index: 2;
}

.user-controls {
    margin-top: 25px;
}

#createReport, #createAccount, #blockBtn, #deleteBtn {
    height: 51px;
}

#createAccount {
    width: 100px;
}

#blockBtn {
    width: 164px;
}

#deleteBtn {
    width: 100px;
}

#turn-day {
    width: 139px;
    height: 51px;
    overflow: hidden;
}

#turn-day img {
    margin: -26.5px auto;
}

#success {
    margin-top: 20px;
    font-weight: bold;
}

.month-controls {
    display: flex;
    font-size: 14px;
    margin-right: 10px;
    color: #004c97;
    text-decoration: underline;
    margin-bottom: 10px;
}

.month-controls .control {
    cursor: pointer;
}

#prev-month {
    margin-right: 10px;
}

#report .calendar {
    margin-bottom: 25px;
}

.calendar {
    display: inline-block;
    /* Чтобы блок не занимал доп. пустое место справа */
}

h3.nameOfMonth {
    margin-top: 10px;
    font-weight: bold;
}

#report .calendar .day.selected {
    border-color: white;
    box-shadow: inset 0px 0 20px 3px rgb(0 0 0 / 25%);
}

table#users, table#clients {
    margin-top: 10px;
    width: 100%;
    max-width: 800px;
}

.popup-menu {
    position: absolute;
    background-color: white;
    border: 1px solid black;
    padding: 12px;
    color: #2D2926;
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 15%);
    font-weight: normal;
    z-index: 1;
    -webkit-animation: slide-top 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-top 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

.popup-menu.hidden {
    display: none;
}

.popup-menu ul li:not(:last-child) {
    border-bottom: 1px solid #c7c9c7;
    padding-bottom: 5px;
    margin-bottom: 5px;
}

.popup-menu li a {
    color: #2D2926;
    text-decoration: none;
}

.popup-bg {
    left: 0;
    top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    display: block;
    background: rgb(0 0 0 / 25%);
    z-index: 2;

    justify-content: center;
    align-items: center;
    transition: visibility 0s linear 0.3s, opacity 0.3s linear; /* Управляем видимостью и прозрачностью */
    opacity: 0;
    visibility: hidden; /* Изначально скрыто */
}

.popup-bg.active {
    visibility: visible; /* делаем видимым */
    opacity: 1;
    transition-delay: 0s; /* Не задерживаем переход */
}

.popup-bg.hidden {
    display: none;
}

.popup {
    position: absolute;
    display: block;
    /* background: white; */
    padding: 12px;
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 15%);
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#tupesOfday div {
    margin-bottom: 7px;
}

#untilNextReport {
    margin-bottom: 4px;
    font-size: 12px;
}

.attached-photos {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /* max-width: 605px; */
    margin-bottom: 20px;
}

.attached-photos img {
    max-width: 200px;
    margin-right: 1px;
}

.block.report div {
    margin-bottom: 10px;
}

.editReport .attached-photos .report-attached-image {
    width: 64px;
    height: 64px;
    border: 1px solid #c7c9c7;
    background: white;
    transition: 0.15s all ease-in;
    cursor: pointer;
    margin-right: 10px;
    overflow: hidden;
    position: relative;
}

.editReport .attached-photos .report-attached-image a {
    width: 64px;
    height: 64px;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.editReport .attached-photos .report-attached-image a img {
    width: inherit;
    height: inherit;
    object-fit: cover;
    z-index: 2;
}

#open-licenses {
    font-size: 14px;
    margin-top: 5px;
    cursor: pointer;
}

.osblock {
    font-size: 16px;
}

.osblock a {
    color: #004C97;
    text-decoration: none;
}

.open-software:not(.hidden) {
    display: block;
    z-index: 10;
    position: fixed;
    background: rgb(0 0 0 / 86%);
    top: 0;
    height: 100vh;
    left: 0;
    padding: 50px;
}

.open-software div {
    /* background: white; */
    padding: 20px;
}

.open-software div.close {
    font-weight: bold;
    text-align: center;
    background-color: #004C97;
    color: white;
    cursor: pointer;
    transition: 0.2s all ease-in;
}

.open-software .close:hover {
    background-color: #DA291C;
}

div#fio {
    overflow: hidden;
}

.report-btn {
    background-color: #004C97;
    color: #ffffff;
    font-size: 15px;
    border: unset;
    padding: 5px 15px;
    overflow: hidden;
    vertical-align: top;
    position: relative;
}

button.loading img {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

button.loading .text {
    opacity: 0;
}

button.loading {
    cursor: wait;
}

.manual-password:not(.hidden) {
    display: flex;
    flex-direction: column;
}

.manual-password .name {
    margin-bottom: 4px;
}

.manual-password #password {
    margin-bottom: 20px;
}

.employees-list label, .employees-list input, .employees-list select, #addEmployee, .editEmployee label, .editEmployee input, .editEmployee select, #editEmployee {
    display: block;
}

.employees-list input, .employees-list select, .editEmployee select, .editEmployee input, .editEmployee select {
    margin-bottom: 20px;
}

#addEmployee, #editEmployee {
    margin-top: 20px;
}

.search label {
    display: block;
}

.editEmployee .select2.select2-container.select2-container--default {
    width: 100% !important;
}

.search input, .search button {
    display: inline-block;
}

.search button {
    margin-bottom: 20px;
    padding: 3px 15px;
}

#close-chat {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
    padding: 7px 13px;
    border-radius: 0 12px;
    color: #004C97;
    transition: all 0.15s ease-out;
    cursor: pointer;
}

#close-chat:hover {
    color: white;
    background: #004C97;
    border-radius: 0 12px;
}

#notifChatLine {
    background-color: #e74646;
    color: white;
    line-height: 24px;
    padding: 0 12px;
    margin: 0 -10px;
    cursor: pointer;
}

#notifNewMessages {
    background-color: #6646e7;
    font-weight: bold;
    position: absolute;
    padding: 15px 10px;
    border-radius: 12px;
    color: white;
    left: 50%;
    transform: translateX(-50%);
    bottom: 65px;
    box-shadow: 0 0 20px 0px rgb(0 0 0 / 42%);
    transition: all 0.15s ease-out;
}

#notifNewMessages:hover {
    transform: translateX(-50%) scale(1.1);
    cursor: pointer;
    background-color: white;
    color: #6646e7;
    background-blend-mode: color;
}

#close-chat.hidden {
    display: none;
}

.main-block {
    vertical-align: top;
    margin: 0 25px 40px 0;
    display: inline-block;
    background-color: var(--background-color);
    padding: 15px 10px;
    border-radius: 12px;
    box-shadow: 0 0 20px -15px #9f9ea1;
    position: relative;
    min-height: 80px;
}

.main-block {
    margin: 0 0 40px 0;
    display: block;
}

.main-block.hidden {
    display: none;
}

.main-block.visible {
    display: block;
}

.employees-list .select2-container--default .select2-selection--multiple, .editEmployee .select2-container--default .select2-selection--multiple {
    border: 1px solid #767676;
    border-radius: 3px;
}

.employees-list .select2-container--default .select2-selection--multiple .select2-selection__choice, .editEmployee .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #C7C9C7;
    border: 1px solid #2D2926;
}

.nomoremsgs, .loadingMsgs, .messages .message.info {
    padding: 15px 10px;
    border-radius: 12px;
    max-width: 70%;
    text-align: center;
    margin: 0 auto 20px;
    color: #554f6a;
    border: 1px solid #e5e4e9;
    pointer-events: none;
    background-color: #f8f8fa;
    -ms-user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}

.chat-unavalible {
    color: #C7C9C7;
}

.link-report-to-client, #getPlan {
    margin-top: 20px;
}

.employees-list {
    margin: 20px 0;
}

.addedEmployees {
    margin: 0 0 20px;
}

.employees-list, .addedEmployees, .link-report-to-client, .unfilledJobs, .editEmployee, .temporaryDisability {
    max-width: 450px;
    border: 1px solid #C7C9C7;
    padding: 10px;
    position: relative;
    box-sizing: border-box;
}

.listed-job {
    display: inline-block;
    background: #C7C9C7;
    border: 1px solid #2D2926;
    padding: 2px;
    border-radius: 5px;
    margin: 0 5px 3px 0;
    word-break: break-all;
}

.employees-list, .unfilledJobs {
    display: inline-block;
}

.unfilledJobs {
    display: inline-block;
    vertical-align: top;
    margin: 20px 0 20px 12px;
}

.addedEmployees .employee {
    margin-bottom: 25px;
    position: relative;
}

.employeePostEdit {
    font-weight: bold;
}

.employee-heading {
    margin-bottom: 5px;
}

#linkClientUnderChat {
    cursor: pointer;
    text-decoration: underline;
}

#linkClientUnderChat:hover {
    color: #004C97;
}

.addedEmployees .employeeFIOEdit, .addedEmployees .employeeTypeJobTitle {
    margin-top: 4px;
}

.emplControls button, .distControls button {
    filter: invert(100%);
    background: transparent;
    border: unset;
    width: 27px;
    transition: 0.2s all ease-in-out;
}

.distControls button::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.employee-heading {
    display: flex;
    justify-content: space-between;
}

.emplControls button {
    padding: 0 0 0 0;
    margin-right: 5px;
    height: 27px;
}

.distControls {
    position: relative;
    right: 5px;
    top: 13px;
}

.distControls {
    position: relative;
    display: inline-block;
    position: initial;
    margin-left: 5px;
    vertical-align: inherit;
}

.disabolityList {
    padding-bottom: 10px;
}

.listed-disab {
    margin-bottom: 5px;
}

.emplControls button:hover, .distControls button:hover {
    transform: scale(1.05);
}

.link-report-to-client .close, .editEmployee .close, .temporaryDisability .close {
    position: absolute;
    right: 0;
    top: 0;
    padding: 11px 13px;
    cursor: pointer;
}

.link-report-to-client .close:hover, .editEmployee .close:hover, .temporaryDisability .close:hover {
    background-color: #004C97;
    color: white;
}

.editEmployee {
    margin-bottom: 20px;
}

.addNewDisability input {
    display: block;
}

.addNewDisability input#end {
    margin-bottom: 20px;
}

.link-report-to-client button {
    margin-top: 20px;
}

.button.red {
    background-color: #DA291C;
}

section.avatar img {
    border-radius: 130px;
    transition: 0.3s all ease-in-out;
}

section.avatar img:hover {
    border-radius: 0px;
}

a.page.current {
    background-color: #004c97;
    color: white;
    pointer-events: none;
    cursor: pointer;
}

.avatarEdit {
    padding: 15px 0;
    background-color: transparent;
    border-bottom: 1px solid #004C97;
    border-top: 1px solid #004C97;
}

#avatarPreview {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    position: relative;
}

.avatarImage {
    width: 64px;
    height: 64px;
    border: 1px solid #c7c9c7;
    background: white;
    transition: 0.15s all ease-in;
    cursor: pointer;
    margin-right: 10px;
    overflow: hidden;
    position: relative;
    border-radius: 130px;
}

.avatarImage:hover {
    background: #c7c9c7;
    transition: 0.2s all ease-in-out;
}

.avatarImage:hover::after {
    content: '+';
    color: #fff;
    text-align: center;
    top: 0;
    font-size: 40px;
    left: 0;
    height: inherit;
    width: inherit;
    position: absolute;
    line-height: 66px;
    background: rgb(0 0 0 / 25%);
    z-index: 0;
}

.avatarImage.hasFile:hover::after {
    content: 'X';
    color: #DA291C;
}

.avatarBlockTwo {
    margin-top: 30px;
}

.resetAvatarLabel {
    display: block;
    margin-bottom: 10px;
}

#right-section .content .block.clientsTable {
    margin-bottom: 0px;
}

.edit-empl-btn img, .delete-empl-btn img {
    width: 27px;
}

select.select.company-types {
    height: 27px;
    vertical-align: bottom;
}

.bottom-pagination {
    margin-bottom: 40px;
}

.day.today {
    border: 1px solid white;
}

#online-status {
    position: absolute;
    top: 5px;
    font-size: 10px;
    left: 50%;
    transform: translateX(-50%);
}

a.searchPage {
    cursor: pointer;
}

#chat-section, #chat.alwaysOpen {
    height: 100vh;
    width: 100vw;
}

#chat-section .messages,
#chat.alwaysOpen .messages {
    -webkit-mask-image: none;
    mask-image: none;
    height: calc(100vh - 107px);
    margin: 0 0 0 0;
}

#chat-section .main-block,
#chat.alwaysOpen {
    margin: 0 0 0 0;
    box-sizing: border-box;
}

#chat-section #chat, #chat.alwaysOpen {
    width: 100vw;
    max-width: unset;
    border: unset;
}

#chat-section .messages::-webkit-scrollbar-thumb,
#chat.alwaysOpen .messages::-webkit-scrollbar-thumb {
    background-color: #004C97;
}

#chat-section #notifChatLine,
#chat.alwaysOpen #notifChatLine {
    margin: 0 -10px;
    box-sizing: border-box;
    position: absolute;
    width: 100%;
    bottom: 65px;
}

#loadingBlockFull {
    background-color: rgb(0 76 151 / 68%);
    z-index: 2;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    margin: 0 0 0 0;
}

div.block.editReport {
    position: relative;
}

#exportExcel {
    position: absolute;
    width: 40px;
    top: 58px;
    right: 15px;
    cursor: pointer;
}

#exportExcel a.svg {
    display: block;
}

#exportExcel a.svg .text {
    font-size: 10px;
}

.reportCalendar {
    position: absolute;
    right: 15px;
    top: 130px;
}

.reportCalendar .day {
    width: 45px;
    padding: 15px 0px;
    font-size: 14px;
}

.reportCalendar .day.today .dow {
    opacity: 1;
}

.reportCalendar .calendar .day:not(.dayname) {
    cursor: inherit;
}

.reportCalendar .dow {
    opacity: 1;
}

.reportCalendar .day:not(.dayname) {
    cursor: inherit;
}

#open-chat {
    overflow: inherit;
}

.online-dot {
    display: block;
    position: absolute;
    right: -8px;
    top: -7px;
    background-color: #DA291C;
    padding: 10px;
    border-radius: 30px;
}

.online-dot.hidden {
    display: none;
}

td.unreadMessage::after {
    content: '';
    background-color: #DA291C;
    position: absolute;
    font-size: 9px;
    padding: 5px;
    border-radius: 30px;
}

.employees-list #employeeFIO, .editEmployee #editEmployeeFIO {
    width: 100%;
    box-sizing: border-box;
}

.searchClientsToLink .searchInputs {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.searchClientsToLink {
    margin-bottom: 20px;
}

.searchBlock {
    padding: 15px 0;
    background-color: transparent;
    border-bottom: 1px solid #004C97;
    border-top: 1px solid #004C97;
}

.searchResult {
    margin-top: 20px;
}

.searchResult .user:hover {
    text-decoration: underline;
    cursor: pointer;
}

.searchResult .user.selected {
    background-color: #C7C9C7;
    color: white;
    margin-top: -5px;
    padding-top: 5px;
}

.searchClientsToLink .searchInputs input, .searchClientsToLink .searchInputs select {
    margin-right: 20px;
}

.searchClientsToLink .searchInputs .searchCompany, .link-report-to-client .searchInputs .searchCompany {
    display: block;
    width: 100%;
}

.searchClientsToLink .searchInputs .searchCompany input, .searchClientsToLink .searchInputs .searchCompany select,
.link-report-to-client .searchInputs .searchCompany input, .link-report-to-client .searchInputs .searchCompany select {
    display: inline-block;
}

.searchClientsToLink .searchInputs .searchCompany .hidden {
    display: none;
}

.searchResultsTitle {
    text-align: center;
    font-weight: bold;
    margin-bottom: 10px;
}

.user.selected::after {
    content: ' (выбран)';
    font-weight: bold;
    color: #004C97;
}

.link-report-to-client .searchBlock {
    border: unset;
}

.link-report-to-client .searchBlock .searchInputs input {
    margin-bottom: 10px;
    box-sizing: border-box;
}

.link-report-to-client .searchBlock .searchCompany input, .link-report-to-client .searchBlock .searchCompany select {
    display: block;
    margin-bottom: 10px;
    width: 100%;
    box-sizing: border-box;
}

.link-report-to-client .searchBlock #doSearchClient {
    margin-top: 0px;
}

.link-report-to-client .searchBlock input.hidden, .link-report-to-client .searchBlock .searchCompany input.hidden {
    display: none;
}

.searchBlock .user {
    border-bottom: 1px solid #004C97;
    margin-bottom: 5px;
    padding-bottom: 5px;
}

.searchBlock .user:last-of-type {
    border: unset;
}

.cards {
    display: flex;

    /* Put a card in the next row when previous cards take all width */
    flex-wrap: wrap;

    margin-left: -8px;
    margin-right: -8px;
}

.cards__item {
    /* There will be 4 cards per row */
    flex-basis: 25%;

    padding-left: 8px;
    padding-right: 8px;
}

#attach-file {
    width: 35px;
    background: transparent;
    border: transparent;
    cursor: pointer;
    transition: all 0.15s ease-out;
    position: relative;
}

#attach-file:hover {
    transform: scale(1.1);
    cursor: pointer;
}

#attach-file object, #attach-file img {
    width: 23px;
    vertical-align: bottom;
    pointer-events: none;
    overflow: hidden;
}

#attach-file .attach-file-input {
    width: 32px;
    position: absolute;
    left: 12px;
    opacity: 0;
}

input[type=file],
/* FF, IE7+, chrome (except button) */
input[type=file]::-webkit-file-upload-button {
    /* chromes and blink button */
    cursor: pointer;
}

img.attach-file-preview {
    width: 32px;
    object-fit: cover;
    height: 32px;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 50%;
    bottom: 65px;
    box-shadow: 0 0 20px -5px #004c97;
}

#attach-file.hasFile::after {
    content: 'X';
    color: #DA291C;
    position: absolute;
    left: 7px;
    bottom: -5px;
    font-size: 30px;
}

.attachedFile {
    width: 100%;
    height: auto;
    transition: 0.15s all ease-in;
    cursor: pointer;
    margin-right: 10px;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    margin-bottom: 5px;
}

.attachedFile.pdf {
    width: auto;
}

.attachedFile.pdf object {
    width: 32px;
    display: inline-block;
}

.attachedFile.pdf .pdf-link {
    display: inline-block;
    vertical-align: top;
    line-height: 32px;
}

.attachedFile.pdf .pdf-link a {
    color: white;
}

.attachedFile:first-of-type {
    margin-top: 5px;
}

.attachedFile img {
    width: 100%;
    height: auto;
    object-fit: cover;
    box-sizing: border-box;
    border: 1px solid #C7C9C7;
    border-radius: 12px 12px 0 12px;
}

.dow.mechanics::before {
    background: url(/images/no-avatar.png);
    background-repeat: no-repeat;
    content: '/////';
    color: transparent;
    filter: invert(1);
    pointer-events: none;
    background-size: contain;
    font-size: 14px;
}

.dow.mechanics {
    font-size: 12px;
}

.disabledChatInput {
    pointer-events: none;
    opacity: 0.3;
}

#openAnotherPage {
    padding: 4px 15px;
    margin-left: 5px;
}

#anotherPage {
    border-radius: 0px;
    border-color: #004C97;
    border-width: 1px;
    padding: 5px 2px;
}

#report .pagination {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
}

#report input#anotherPage {
    margin: 0 5px;
}

.floating-input input {
    display: inline-block;
    margin-bottom: unset;
}

#report .pagination .page.searchPage:first-child, .editReport .pagination .page.searchPage:first-child, .searchPagination .page.searchPage:first-child {
    margin-left: 5px;
}

.link-report-to-client .searchInputs {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.link-report-to-client .blockName {
    margin: 0 -11px 25px;
}

.link-report-to-client {
    max-width: initial;
}

.link-report-to-client .searchInputs input, .link-report-to-client .searchInputs select {
    margin-right: 20px;
}

.link-report-to-client .searchBlock .searchInputs input, .link-report-to-client .searchBlock .searchInputs select {
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
}

.link-report-to-client .searchInputs .searchCompany select, .link-report-to-client .searchBlock .searchInputs input {
    display: inline-block;
    width: auto;
}

.refresh a {
    color: #004c97;
    background: linear-gradient(to right, #004c97 0, #fff 10%, #004c97 20%) 0;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: shine 3s infinite linear;
    animation-fill-mode: forwards;
    -webkit-text-size-adjust: none;
    font-weight: 600;
    font-size: 16px;
    padding: 0 40px;
    margin-left: -40px;
    text-decoration: none;
    white-space: nowrap;
}

.controls .new {
    z-index: 1;
}

.refresh .newRepsCnt {
    position: absolute;
    right: 28px;
    top: -9px;
    color: #004c97;
    -webkit-text-fill-color: #004c97;
}

section.clientInfo a, table#users a, table#clients a {
    color: #004c97;
}

.repairTypeGrid {
    margin-bottom: 40px;
}

.repairViewItemName.header {
    height: auto;
    width: 100%;
    text-align: left;
    position: relative;
    margin-left: 0px;
}

.repairTypeItemName {
    background: linear-gradient(0deg, rgba(0, 76, 151, 1) 0%, rgba(255, 255, 255, 0) 100%);
    width: 100%;
    margin: 0 0 0 0;
    padding: 0 10px 15px;
}

.repairTypeItem {
    cursor: pointer;
}

.minDaysUntilRepair {
    color: #C7C9C7;
}

.dayCell {
    margin-right: 10px;
}

.emr-btn {
    border: unset;
    background-color: #004c97;
    color: white;
    margin: -3px -12px;
}

/* Скрываем экспорт нескольких заявок на ПК, там есть Ctrl+E */
.excel-many-reports-mobile {
    display: none;
}

.employee-heading .left {
    width: calc(100% - 100px);
}

.autodom-form {
    display: flex;
}

.autodom-form #firstname {
    margin: 0 5px 0 0;
}

.no-linked-img {
    width: 25px;
    margin: -5px 5px -6px 0;
}

object.no-linked-img, object.logout-icon {
    width: 27px;
    height: 27px;
    overflow: hidden; /* Предотвращает выход контента за границы контейнера */
}

object.logout-icon svg, object.menu-icon svg, .no-linked-img svg {
    cursor: pointer;
    overflow: visible;
    width: 27px;
    height: 27px;
}


.button.wire-button div.text.hidden + img {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.button.wire-button div.text.hidden {
    display: block;
    opacity: 0;
}

small {
    font-size: 9px;
}

@supports (-webkit-appearance: none) or (-moz-appearance: none) {

    .emr-td input[type=checkbox],
    .emr-td input[type=radio] {
        --active: #004C97;
        --active-inner: #fff;
        --focus: 2px rgba(39, 94, 254, .3);
        --border: #BBC1E1;
        --border-hover: #004C97;
        --background: #fff;
        --disabled: #c7c9c7;
        --disabled-inner: #E1E6F9;
        -webkit-appearance: none;
        -moz-appearance: none;
        height: 21px;
        outline: none;
        display: inline-block;
        vertical-align: top;
        position: relative;
        margin: 0;
        cursor: pointer;
        border: 1px solid var(--bc, var(--border));
        background: var(--b, var(--background));
        transition: background 0.3s, border-color 0.3s, box-shadow 0.2s;
    }

    .emr-td input[type=checkbox]:after,
    .emr-td input[type=radio]:after {
        content: "";
        display: block;
        left: 0;
        top: 0;
        position: absolute;
        transition: transform var(--d-t, 0.3s) var(--d-t-e, ease), opacity var(--d-o, 0.2s);
    }

    .emr-td input[type=checkbox]:checked,
    .emr-td input[type=radio]:checked {
        --b: var(--active);
        --bc: var(--active);
        --d-o: .3s;
        --d-t: .6s;
        --d-t-e: cubic-bezier(.2, .85, .32, 1.2);
    }

    .emr-td input[type=checkbox]:disabled,
    .emr-td input[type=radio]:disabled {
        --b: var(--disabled);
        cursor: not-allowed;
        opacity: 0.9;
    }

    .emr-td input[type=checkbox]:disabled:checked,
    .emr-td input[type=radio]:disabled:checked {
        --b: var(--disabled-inner);
        --bc: var(--border);
    }

    .emr-td input[type=checkbox]:disabled+label,
    .emr-td input[type=radio]:disabled+label {
        cursor: not-allowed;
    }

    .emr-td input[type=checkbox]:hover:not(:checked):not(:disabled),
    .emr-td input[type=radio]:hover:not(:checked):not(:disabled) {
        --bc: var(--border-hover);
    }

    .emr-td input[type=checkbox]:focus,
    .emr-td input[type=radio]:focus {
        box-shadow: 0 0 0 var(--focus);
    }

    .emr-td input[type=checkbox]:not(.switch),
    .emr-td input[type=radio]:not(.switch) {
        width: 21px;
    }

    .emr-td input[type=checkbox]:not(.switch):after,
    .emr-td input[type=radio]:not(.switch):after {
        opacity: var(--o, 0);
    }

    .emr-td input[type=checkbox]:not(.switch):checked,
    .emr-td input[type=radio]:not(.switch):checked {
        --o: 1;
    }

    .emr-td input[type=checkbox]+label,
    .emr-td input[type=radio]+label {
        font-size: 14px;
        line-height: 21px;
        display: inline-block;
        vertical-align: top;
        cursor: pointer;
        margin-left: 4px;
    }

    .emr-td input[type=checkbox]:not(.switch) {
        border-radius: 7px;
    }

    .emr-td input[type=checkbox]:not(.switch):after {
        width: 5px;
        height: 9px;
        border: 2px solid var(--active-inner);
        border-top: 0;
        border-left: 0;
        left: 7px;
        top: 4px;
        transform: rotate(var(--r, 20deg));
    }

    .emr-td input[type=checkbox]:not(.switch):checked {
        --r: 43deg;
    }
}

@-moz-keyframes shine {
    0% {
        background-position: 0;
    }

    60% {
        background-position: 215px;
    }

    100% {
        background-position: 215px;
    }
}

@-webkit-keyframes shine {
    0% {
        background-position: 0;
    }

    60% {
        background-position: 215px;
    }

    100% {
        background-position: 215px;
    }
}

@-o-keyframes shine {
    0% {
        background-position: 0;
    }

    60% {
        background-position: 215px;
    }

    100% {
        background-position: 215px;
    }
}

@keyframes shine {
    0% {
        background-position: 0;
    }

    60% {
        background-position: 215px;
    }

    100% {
        background-position: 215px;
    }
}

@media only screen and (min-width: 994px) and (max-width: 1017px) {
    .calendarWrap .calendar .day {
        width: calc(100vw / 7 - 68px);
    }
}

@media only screen and (max-width: 479px) {
    #panel-logo {
        position: absolute;
        right: unset;
        left: 50%;
        top: 0;
        transform: translate(-50%, 0px);
        pointer-events: none;
    }

    .head-section {
        text-align: center;
    }

    #left-section {
        display: none;
    }

    #close-menu {
        display: block;
        padding: 15px 0px;
        text-align: center;
        color: var(--text-color);
        font-weight: bold;
    }

    .theme-dark #close-menu {
        --text-color: var(--dark-text-color);
    }

    #left-section.visible {
        display: block;
        z-index: 2;
        position: fixed;
        width: 100%;
    }

    table.reports {
        overflow: hidden;
    }

    table.reports, .content .block {
        width: calc(100vw - 40px);
    }

    #right-section .content {
        margin: 0 20px 30px 20px;
    }

    #open-menu {
        display: block;
        margin: 0 0 40px;
    }

    .content .block {
        margin-bottom: 30px;
    }

    #right-section {
        margin: 140px 0 0;
        width: 100%;
    }

    .day {
        width: calc(100% / 10);
        padding: 20px 5px;
    }

    form input, form select, form textarea {
        width: 97%;
    }

    .repairViewItem, .repairTypeItem {
        width: 48%;
        height: calc(100vh / 8.7);
    }

    .repairViewItem img, .repairTypeItem img {
        width: 100%;
    }

    .repairViewItemName, .repairTypeItemName {
        font-size: 14px;

    }

    .repairTypeItemName {
        width: 100%;
        margin: 0 0 0 0;
        padding: 0 12px 15px;
        word-break: break-word;
        box-sizing: border-box;
    }

    /* Номер и регион авто в форме добавления заявки */
    .numAndReg .numPart {
        max-width: 65%;
    }

    .numAndReg .regPart {
        max-width: 30%;
    }

    /* Комментарий и модель авто в форме добавления заявки */
    form #comment {
        width: auto;
    }

    .calendar {
        width: 100%;
    }

    table.reports td, table#users td, table#clients td {
        display: block;
        width: 100%;
    }

    table.reports tr.heading td {
        text-align: center;
    }

    .reports .heading {
        box-shadow: none;
        border-bottom: 1px solid #004c97;
    }

    .reports tr:not(.heading):not(:last-child), table#users tr, table#clients tr {
        border-bottom: 1px solid #C7C9C7;
    }

    table#users td, table#clients td {
        padding: 3px 0;
    }

    span.select2.select2-container.select2-container--default {
        width: 100% !important;
    }

    select#clients {
        width: 100%;
    }

    .user-controls #blockBtn, .user-controls #deleteBtn, .user-controls #changePass {
        margin-bottom: 10px;
        width: 100%;
    }

    #loadingBlock {
        position: fixed;
    }

    .pagination {
        margin-top: 20px;
        margin-right: 20px;
    }

    .pagination a {
        margin-right: 5px;
    }

    .editReport .edit select {
        width: 100%;
    }

    .calendar .day .dow {
        font-size: 9px;
    }

    .calendar .day.today .dow {
        opacity: 1;
    }

    .employees-list, .unfilledJobs {
        display: block;
    }

    .unfilledJobs {
        margin: 20px 0;
    }

    .addedEmployees input {
        width: 100%;
    }

    .open-software:not(.hidden) {
        overflow-y: scroll;
        box-sizing: border-box;
    }

    .refresh a {
        margin: 0 -40px;
    }

    .refresh {
        position: absolute;
        top: -25px;
        left: 1px;
    }

    .refresh .newRepsCnt {
        right: -22px;
    }
    /* Показываем экспорт нескольких заявок на телефоне, там нет Ctrl+E */
    .excel-many-reports-mobile {
        display: list-item;
    }
    .dow.mechanics::before {
        font-size: 11px;
    }
    .dow.mechanics {
        font-size: 12px;
    }

    #theme {
        position: relative;
    }

}

/* FIX CALENAR */
@media only screen and (min-width: 480px) and (max-width: 993px) {
    .reportCalendar .day {
        width: calc((100vw - 325px)/ 8);
        padding: 19px 4px;
    }

    .day {
        display: inline-block;
        width: calc((100vw - 325px)/ 7);
    }

    .calendarWrap .day {
        width: calc(100vw / 7 - 51px);
        padding: 25px 4px;
    }

    .reportCalendar {
        position: inherit;
        right: unset;
        top: unset;
        display: block;
    }

    #left-section {
        width: 175px;
        font-size: 14px;
    }

    #left-menu ul li {
        padding: 7px;
    }

    #left-menu ul li.current {
        background-color: #004C97;
        padding: 7px 7px 7px 7px;
    }

    #right-section {
        margin: 175px 0 0 165px;
    }

    .content .block {
        width: calc(100vw - 250px);
    }

    #panel-logo {
        width: 50%;
        max-width: 300px;
    }
}

@media only screen and (max-width: 479px) {
    .day {
        display: inline-block;
        width: calc((100vw - 193px)/ 7);
    }

    .calendarWrap .day {
        width: calc((100vw - 120px)/ 8);
        padding: 14px 4px;
    }

    .reportCalendar .day {
        width: calc((100vw - 159px)/ 8);
        padding: 13px 4px;
    }

    .reportCalendar {
        position: inherit;
        right: unset;
        top: unset;
        display: block;
        margin-bottom: 20px;
        max-width: 100%;
    }
}

@media only screen and (max-width: 580px) {
    .popup {
        width: 80%;
    }

    .popup-bg .cancel {
        float: right;
    }
}

/* FIX Export btn */
@media only screen and (min-width: 481px) and (max-width: 855px) {
    #exportExcel {
        position: inherit;
        width: 40px;
        top: unset;
        right: unset;
        cursor: pointer;
        margin-bottom: 20px;
    }
}

/* ----------------------------------------------
 * Generated by Animista on 2022-2-9 0:17:56
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info.
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-top
 * ----------------------------------------
 */
@-webkit-keyframes slide-top {
    0% {
        -webkit-transform: translateY(20px);
        transform: translateY(20px);
    }

    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

@keyframes slide-top {
    0% {
        -webkit-transform: translateY(20px);
        transform: translateY(20px);
    }

    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}
